PLAKAR-LOGIN(1)

NAME
plakar-login - Authenticate to Plakar services

SYNOPSIS
plakar login [-no-spawn] [-status] [ -email email | -env | -github]

DESCRIPTION
The plakar login command initiates an authentication flow with the Plakar platform. Login is optional for most plakar commands but required to enable certain services, such as alerting. See also plakar-service(1).

Only one authentication method may be specified per invocation: the -email, -env, and -github options are mutually exclusive. If neither is provided, -github is assumed.

The options are as follows:

-email email
    Send a login link to the specified email address. Visiting that link will authenticate plakar.

-env
    Persist the value of the PLAKAR_TOKEN environment variable into the configuration. Generate this token with plakar-token-create(1).

-github
    Use GitHub OAuth to authenticate. A browser will be spawned to initiate the OAuth flow unless -no-spawn is specified.

-no-spawn
    Do not automatically open a browser window for authentication flows.

-status
    Check wether the user is currently logged in. This option cannot be used with any other options.

EXAMPLES
Start a login via email:

    $ plakar login -email user@example.com

Authenticate via GitHub (default, opens browser):

    $ plakar login

SEE ALSO
plakar(1), plakar-logout(1), plakar-service(1)